<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__ctss__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_ctss_t</compoundname>
    <includes local="no">cy_ble_cts.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__ctss__t_1aa4faaab7a13e398364caeeb777e0dc86" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_ctss_t::serviceHandle</definition>
        <argsstring />
        <name>serviceHandle</name>
        <briefdescription>
<para>Current Time Service Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="182" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="182" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ctss__t_1a9fb13ac223551667c0444223f9597d25" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_ctss_t::currTimeCharHandle</definition>
        <argsstring />
        <name>currTimeCharHandle</name>
        <briefdescription>
<para>Current Time Characteristic handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="183" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="183" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ctss__t_1a96e297164c5ba8375dfe57b987451bf6" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_ctss_t::currTimeCccdHandle</definition>
        <argsstring />
        <name>currTimeCccdHandle</name>
        <briefdescription>
<para>Current Time Client Characteristic Configuration Characteristic handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="184" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="184" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ctss__t_1a5c1533c40239b0b55592f0943a86b926" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_ctss_t::localTimeInfCharHandle</definition>
        <argsstring />
        <name>localTimeInfCharHandle</name>
        <briefdescription>
<para>Local Time Information Characteristic handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="186" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="186" />
      </memberdef>
      <memberdef id="structcy__stc__ble__ctss__t_1a42e9b2ebf9e024202733f285e4c2b513" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_ctss_t::refTimeInfCharHandle</definition>
        <argsstring />
        <name>refTimeInfCharHandle</name>
        <briefdescription>
<para>Reference Time Information Characteristic handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="187" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="187" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure with Current Time Service attribute handles. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="188" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" bodystart="180" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cts.h" line="181" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__ctss__t_1a96e297164c5ba8375dfe57b987451bf6" virt="non-virtual"><scope>cy_stc_ble_ctss_t</scope><name>currTimeCccdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__ctss__t_1a9fb13ac223551667c0444223f9597d25" virt="non-virtual"><scope>cy_stc_ble_ctss_t</scope><name>currTimeCharHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__ctss__t_1a5c1533c40239b0b55592f0943a86b926" virt="non-virtual"><scope>cy_stc_ble_ctss_t</scope><name>localTimeInfCharHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__ctss__t_1a42e9b2ebf9e024202733f285e4c2b513" virt="non-virtual"><scope>cy_stc_ble_ctss_t</scope><name>refTimeInfCharHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__ctss__t_1aa4faaab7a13e398364caeeb777e0dc86" virt="non-virtual"><scope>cy_stc_ble_ctss_t</scope><name>serviceHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>